searchData={"items":[{"type":"task","title":"mix tablerone.download","doc":"Downloads a tabler icon to the local priv dir.\n\n    mix tablerone.download --type outline cactus\n    mix tablerone.download --type filled cactus cactus-off","ref":"Mix.Tasks.Tablerone.Download.html"},{"type":"task","title":"mix tablerone.download.downloader","doc":"","ref":"Mix.Tasks.Tablerone.Download.Downloader.html"},{"type":"function","title":"Mix.Tasks.Tablerone.Download.Downloader.get/2","doc":"","ref":"Mix.Tasks.Tablerone.Download.Downloader.html#get/2"},{"type":"module","title":"Tablerone","doc":"Tablerone is a library for downloading specific tabler icons to the local application,\nand then rendering them from the file system.","ref":"Tablerone.html"},{"type":"module","title":"Installation - Tablerone","doc":"Tablerone must be configured to know the parent application, in `config/config.exs`:\n\n```elixir\nimport Config\n\n# ...existing config\n\nconfig :tablerone, :otp_app, <:my_app>\n```","ref":"Tablerone.html#module-installation"},{"type":"module","title":"Usage - Tablerone","doc":"When using new icons, they can be downloaded using the provided mix task:\n\n```shell\nmix tablerone.download    \n```\n\nTo load an icon in a heex component, the following example code may be used:\n\n```elixir\nattr :name, :atom, required: true\nattr :class, :any, default: []\n\ndef icon(assigns) do\n  name = assigns[:name]\n  icon_contents = Tablerone.icon(name)\n\n  assigns =\n    assign_new(assigns, :icon_contents, fn ->\n      class = [class: assigns[:class]] |> Phoenix.HTML.attributes_escape() |> Phoenix.HTML.safe_to_string()\n      String.replace(icon_contents, ~r{class=\"[^\"]+\"}, class)\n    end)\n\n  ~H\"\"\"\n  <%= Phoenix.HTML.raw(@icon_contents) %>\n  \"\"\"\nend\n```","ref":"Tablerone.html#module-usage"},{"type":"function","title":"Tablerone.icon/3","doc":"Renders the given icon as a Phoenix component. If the icon has not been downloaded to the priv directory of the\nparent application, `icon` will raise at run time, with instructions on how to run a mix task to download the icon.","ref":"Tablerone.html#icon/3"},{"type":"function","title":"Examples - Tablerone.icon/3","doc":"iex> icon = Tablerone.icon(:cactus_off, :outline)\n    iex> match?(\"  _, icon)\n    true","ref":"Tablerone.html#icon/3-examples"},{"type":"function","title":"Tablerone.path/3","doc":"Given an icon name as a string or atom, returns the expected path to the svg file.\n\nThe file is saved to a `tablerone` directory in the priv dir of the parent application,\nspecified by the `:tablerone, :otp_app` config.","ref":"Tablerone.html#path/3"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}